;InnoSetupVersion=2.0.11

[Setup]
AppName=FreshDevices Corp. - FreshDownload 3.75
AppVerName=FreshDownload
AppId=FreshDevices Corp. - FreshDownload 3.75
DefaultDirName={pf}\FreshDevices\FreshDownload
DefaultGroupName=FreshDevices\FreshDownload
UninstallDisplayIcon={app}\FD.exe
OutputBaseFilename=setup
Compression=zip
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\fd.exe"; DestDir: "{app}"; 
Source: "{app}\fdb.exe"; DestDir: "{app}"; 
Source: "{app}\fdgo.exe"; DestDir: "{app}"; 
Source: "{app}\back01.bmp"; DestDir: "{app}"; 
Source: "{app}\readme.txt"; DestDir: "{app}"; 
Source: "{app}\fdhelp.htm"; DestDir: "{app}"; 
Source: "{app}\fdplugin.dll"; DestDir: "{app}"; 
Source: "{app}\fdiehlp.dll"; DestDir: "{app}"; Flags: restartreplace regserver 
Source: "{app}\fdnshlp.dll"; DestDir: "{app}"; Flags: restartreplace regserver 

[Registry]
Root: HKCU; Subkey: "Software\FreshDevices\FreshDownload"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "FDPartialFile"; Flags: uninsdeletekey 

[Run]
Filename: "{app}\readme.txt"; Flags: shellexec skipifdoesntexist postinstall skipifsilent 

[Icons]
Name: "{userdesktop}\FreshDownload"; Filename: "{app}\FD.exe"; WorkingDir: "{app}"; Tasks: desktopicon; 
Name: "{userstartmenu}\FreshDownload"; Filename: "{app}\FD.exe"; WorkingDir: "{app}"; Tasks: startmenuicon; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\FreshDownload"; Filename: "{app}\FD.exe"; WorkingDir: "{app}"; Tasks: quicklaunchicon; 
Name: "{group}\FreshDownload"; Filename: "{app}\FD.exe"; WorkingDir: "{app}"; 
Name: "{group}\FreshDownload Help"; Filename: "{app}\fdhelp.htm"; 
Name: "{group}\Readme"; Filename: "{app}\readme.txt"; 
Name: "{group}\Get Your Free Registration Code!!"; Filename: "{pf}\Internet Explorer\iexplore.exe"; Parameters: "http://www.freshdevices.com/register.html"; IconFilename: "{pf}\Internet Explorer\iexplore.exe"; IconIndex: 1; 

[Tasks]
Name: "desktopicon"; Description: "Create a &Desktop icon"; GroupDescription: "Additional icons:"; 
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon"; GroupDescription: "Additional icons:"; 
Name: "startmenuicon"; Description: "Create a &Start menu icon"; GroupDescription: "Additional icons:"; 
